"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslate = void 0;
const react_1 = require("@tolgee/react");
const useTranslate = (options) => (path) => {
    let [ns, keyName] = path.split(/\.([^.]*)$/);
    if (!keyName) {
        ns = undefined;
        keyName = ns;
    }
    return (0, react_1.useTranslate)(ns, options).t(keyName);
};
exports.useTranslate = useTranslate;
